Get Twitter posts
curl --request GET \
--url https://scheduler.dashsocial.com/twitter/scheduled_posts \
--header 'Authorization: Bearer <token>'import requests
url = "https://scheduler.dashsocial.com/twitter/scheduled_posts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scheduler.dashsocial.com/twitter/scheduled_posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"brand_id": 1,
"auto_publish": true,
"tweet_status": "<string>",
"media_ids": [
1
],
"timestamp": "2023-11-07T05:31:56Z",
"replies": [
{
"alt_text_media_map": {},
"approval_requests": [
{
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"id": 123,
"post_id": 123,
"requested_by_user_id": 123,
"review_user_id": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"approval_status": "<string>",
"auto_publish": true,
"content_tag_ids": [
1
],
"created_at": "2023-11-07T05:31:56Z",
"creation_source": "RSS_FEED",
"has_scheduled_time": true,
"id": 1,
"live_post_url": "<string>",
"media": [
{}
],
"media_ids": [
1
],
"num_of_approvals_required": 123,
"permalink": "<string>",
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_index": 123,
"source_id": "<string>",
"subtitle_content": "<string>",
"subtitle_error_message": "<string>",
"subtitle_metadata": {
"filename": "<string>"
},
"subtitle_upload_status": "<string>",
"thread_order": 123,
"tweet_status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"alt_text_media_map": {},
"approval_requests": [
{
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"id": 123,
"post_id": 123,
"requested_by_user_id": 123,
"review_user_id": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"approval_status": "<string>",
"auto_numbering_enabled": true,
"board_ids": [
1
],
"callback_socket_id": "<string>",
"campaign_ids": [
1
],
"content_tag_ids": [
1
],
"created_at": "2023-11-07T05:31:56Z",
"creation_source": "RSS_FEED",
"has_scheduled_time": true,
"id": 1,
"live_post_url": "<string>",
"media": [
{}
],
"num_of_approvals_required": 123,
"permalink": "<string>",
"post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rss_feed_id": 123,
"rss_guid": "<string>",
"rss_publish_date": "2023-11-07T05:31:56Z",
"sort_index": 123,
"source_id": "<string>",
"subtitle_content": "<string>",
"subtitle_error_message": "<string>",
"subtitle_metadata": {
"filename": "<string>"
},
"subtitle_upload_status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"paging": {
"count": 123,
"next": "<string>",
"previous": "<string>"
}
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}X (Twitter)
Get Twitter posts
Get a list of Twitter posts for the brand.
GET
/
twitter
/
scheduled_posts
Get Twitter posts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of posts to return per page
Required range:
0 <= x <= 1000Starting position of posts to return
Required range:
x >= 0The ID of the brand the posts belong to. Required for non-application users.
Required range:
x >= 0List of brand IDs for cross brand query (max 10).
Required array length:
1 - 10 elementsRequired range:
x >= 0The status by which to filter posts.
Available options:
AUTOPUBLISHING, DRAFT, EXPIRED, FAILED, IMPORTED, MISSING_APPROVALS, PARTIALLY_FAILED, POSTED, SCHEDULED, SKIPPED, USERS_NOTIFIED The metric to sort results by.
Available options:
-SORT_INDEX, -TIMESTAMP, -UPDATED_AT, SORT_INDEX, TIMESTAMP, UPDATED_AT The start of the range from which to fetch posts by time stamp.
The end date of the range of posts being fetched by time stamp.
Indicates if the post has a scheduled timestamp.
List of unique source ids.
Whether to resolve library references (media, boards, etc).
⌘I